<?php

/**
 * Fired during plugin activation
 *
 * @link       https://symaticsolutions.com
 * @since      1.0.0
 *
 * @package    Symatic_Bible_Index
 * @subpackage Symatic_Bible_Index/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Symatic_Bible_Index
 * @subpackage Symatic_Bible_Index/includes
 * @author     Symatic Solutions <info@symaticsolutions.com>
 */
class Symatic_Bible_Index_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
        $catid = category_exists('Strongs', 4);
        if( !$catid ){
            $catid = wp_insert_category(array(
                'cat_name' => 'Strongs',
                'category_parent' => 4
            ));
        }

        update_site_option('symatic_strong_cat', $catid);
	}

}
